For the complete documentation index, see llms.txt. This page is also available as Markdown.

Authentication

The "Authentication" folder in the API collection serves as a centralized location for API requests and endpoints related to user authentication and authorization processes.

Get Token

post

Request to receive a token, which is necessary to work with other requests. The token is valid for 60 minutes.

Variables in the structure include:

  • {{tenantName}}: Your Organization (Tenant) name

  • {{clientName}}: Your Client name

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
clientNamestringRequired

API client name provisioned in the Admin portal

Body
secretstringOptionalExample: {{clientSecret}}
Responses
201

Bearer token issued successfully

application/json
tokenstringOptional

Bearer token. Valid for 60 minutes.

post/{tenantName}/admin/api_clients/{clientName}
POST /{tenantName}/admin/api_clients/{clientName} HTTP/1.1
Host: api.live.welkincloud.io
Content-Type: application/json
Accept: */*
Content-Length: 29

{
  "secret": "{{clientSecret}}"
}
{
  "token": "text"
}

Last updated

Was this helpful?